<template>
<center>
<form @submit.prevent="onSubmit" >
  <h2 class="label-wrapper">
  </h2>
  Name:<input 
    type="text" 
    id="new-todo-input" 
    name="new-todo" 
    autocomplete="off"
    v-model.trim.lazy="label"
    class=""
    />
    Price:<input 
    type="number" 
    id="new-todo-input" 
    name="new-todo" 
    autocomplete="off"
    v-model.trim.lazy="price"
    class=""
    />
    Stock<input 
    type="number" 
    id="new-todo-input" 
    name="new-todo" 
    autocomplete="off"
    v-model.trim.lazy="stock"
    class=""
    />
    <button type="submit" class="btn btn-success"> Add new product</button>
</form>
</center>
</template>

<script>
export default {
  data(){
    return {
      label:"",
      price: 0
    }
  },
  methods:{
    onSubmit(){
      //console.log(this.label);
      this.$emit('todo-added', this.label,this.price, this.stock)
    }
  },
  watch:{
  }
}
</script>